# COPYRIGHT 2009 Hannes Isaak Reuter
# All rights reserved
# Contact: gisxperts@web.de
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
## ---------------------------------------------------------------------------
import sys, string, os, traceback
version = sys.version[0:4]
if version == '2.1.':
    import win32com.client,tp21
    gp = win32com.client.Dispatch("esriGeoprocessing.GpDispatch.1")
elif version == '2.4.':
    import arcgisscripting
    import tp24 as tp
    gp = arcgisscripting.create()
elif version == '2.5.':
    import arcgisscripting
    import tp25 as tp
    gp = arcgisscripting.create()
elif version == '2.6.':
    import arcgisscripting
    import tp26 as tp
    gp = arcgisscripting.create()
else:
    raise Exception, 'Version not yet supported'    
try:
    tp.gtbmsgid(25,'',gp)
    tp.printversion(gp)
    ARCGIS = ""
    ARCINFO = ""
    scratchWS = ""
    DEBUG = 0
    tp.gtbmsgid(25,'',gp)
    ARCGIS,ARCINFO,scratchWS = tp.geomorphometrysetup(gp,sys,os,DEBUG)
    tp.gtbmsgid(25,'',gp)
except:
##/* ######################################################
##/* routine bailout start
##/* ######################################################
  tp.errorcall(sys,gp,traceback)