# ---------------------------------------------------------------------------
# COPYRIGHT 2009 Hannes Isaak Reuter
# All rights reserved
# Contact: gisxperts@web.de
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
# ---------------------------------------------------------------------------
# D:\geomorphometryTB\test2\z25m D:\geomorphometryTB\test2\z25m_ls D:\geomorphometryTB\test2\z25m_ls2 #
# f:\jrc_d_drive\geomorphometrytb\test2\d25m f:\jrc_d_drive\geomorphometrytb\test2\d25m_ls f:\jrc_d_drive\geomorphometrytb\test2\d25m_ls2 #


# Import system modules
import sys, string, os,  tempfile, traceback,textwrap
# Create the Geoprocessor object
version = sys.version[0:4]
if version == '2.1.':
    import win32com.client,tp21
    gp = win32com.client.Dispatch("esriGeoprocessing.GpDispatch.1")
elif version == '2.4.':
    import arcgisscripting
    import tp24 as tp
    gp = arcgisscripting.create()
elif version == '2.5.':
    import arcgisscripting
    import tp25 as tp
    gp = arcgisscripting.create()
elif version == '2.6.':
    import arcgisscripting
    import tp26 as tp
    gp = arcgisscripting.create()
else:
    raise Exception, 'Version not yet supported'

ARCGIS = ""
ARCINFO = ""
scratchWS = ""

# scratchWS = r'F:\\geomorphometryTB\\test\\'
# Script arguments...
Expression = sys.argv[1]
out = sys.argv[2]
out2 = sys.argv[3]
streamthr = sys.argv[4]
if streamthr == '#':
    streamthr = 50
 # DEBUG = True
if len(sys.argv) >= 6:
    DEBUG = sys.argv[5]
    if DEBUG == '#':
        DEBUG = 0
else:
    DEBUG = 0
# setup
ARCGIS,ARCINFO,scratchWS = tp.geomorphometrysetup(gp,sys,os,DEBUG)
# create variables for workspace
dem,workspace = tp.getnameandworkspace_metric(Expression,os,gp,string,DEBUG)
gp.workspace = workspace
outdem,outworkspace = tp.checkoutput(out,os,gp)
outdem,outworkspace = tp.checkoutput(out2,os,gp)
# Local variables...
try:
    # clean temp files
    tp.cleanttempfile4(gp,scratchWS,workspace,os)
    # calc ls factor
    tp.getlsfactor(dem,out,out2,streamthr,scratchWS,workspace,gp)
    # clean temp files
    if not DEBUG :
        tp.cleanttempfile4(gp,scratchWS,workspace,os)    # setup clean up
    gp.CheckInExtension("spatial")
    tp.gtbmsgid(25,'',gp)
    tp.gtbmsg("Finished ok for ls.py for "+dem+ 'and created:'+out+' and ',out2,gp)
    

except:
##/* ######################################################
##/* routine bailout start
##/* ######################################################
  tp.errorcall(sys,gp,traceback)
